# Copyright (c) 2015, Xhive Global Ltd. and Contributors
# License: MIT. See LICENSE

# License: MIT. See LICENSE

import xhiveframework
from xhiveframework.model.document import Document


class WebsiteScript(Document):
	def on_update(self):
		"""clear cache"""
		xhiveframework.clear_cache(user="Guest")

		from xhiveframework.website.utils import clear_cache

		clear_cache()
